Add Customer Care Case

Create customer support cases. How it works:

  • The partner’s customer creates a case using their mobile app by calling POST programs/{programCode}/customerCare/cases.
  • A new case for the customer is created in Salesforce for Green Dot’s agents, allowing them to handle the case.
  • The partner receives the case number in their response details. The case number can also be displayed to the customer.
Path Params
string
required

The program code identifying the BaaS program context for the care case.

Body Params

The request payload containing customer care case details.

  • Subject: The subject of the customer's inquiry.

  • FirstName: The customer's first name.

  • LastName: The customer's last name.

  • CustomerQuestion: The question or issue submitted by the customer.

  • EmailAddress: The customer's email address.

  • AccountIdentifier: The unique identifier for the customer's account.

  • PhoneNumbers: The customer's phone number and type.

  • Device: Device information from which the request originated.

  • AccountHolderIdentifier: The unique identifier for the account holder.

string | null

The subject or topic of the customer's question or issue.

string | null

The first name of the user submitting the care case.

string | null

The last name of the user submitting the care case.

string | null

The details of the question or issue provided by the customer.

string | null

The email address of the user or customer.

string | null

The unique identifier for the account associated with the care case.

phoneNumbers
object

Represents a phone contact, including the phone number and its type. Used for storing and transferring phone contact information in requests and responses.

device
object

Represents device information for a care case. Used to capture device context when a care case is submitted, including device identifiers, make, version, OS, and OS version.

string | null

The unique identifier for the account holder associated with the care case.

Headers
string
required

The unique request identifier for tracking and logging. Should be a GUID.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json